#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);

    int n;
    cin >> n;
    vector<pair<int,int>> niz(n);
    for(int i = 0;i < n;i++) cin >> niz[i].first >> niz[i].second;

    long long MXN = 1000000007;
    for(int i = 0;i < n;i++){
        long long ans1 = 0,ans = 0;
        for(int x = 0;x <= i;x++){
            for(int y = 0;y <= i;y++){
                int k = niz[x].first,l = niz[y].second;
                ans1 = 0;
                for(int z = 0; z < i;z++){
                    ans1 += abs(niz[z].first - k) * abs(niz[z].second-l);
                }
                ans = max(ans,ans1);
            }
        }


        cout << ans << "\n";
    }

    return 0;
}